%set_strip_method shared

%define oname meshbuilder
%define scalar_type real
%define ldir %_libexecdir/petsc-%scalar_type
%define mpiimpl openmpi
%define mpidir %_libexecdir/%mpiimpl

Name: %oname-%scalar_type
Version: 0.2.0
Release: alt1.bzr20110313
Summary: A tool for viewing and marking meshes, especially for use with DOLFIN
License: LGPL v2.1
Group: Graphics
Url: http://www.fenics.org/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

# bzr branch lp:meshbuilder
Source: %oname-%version.tar.gz

BuildPreReq: python-module-Pyro4 libtrilinos10-devel
BuildPreReq: gcc-c++ libqt4-devel libOpenSceneGraph-devel
BuildPreReq: libtetgen-devel libtriangle-devel libvtk-devel
BuildPreReq: libdolfin-%scalar_type-devel libmpfr-devel

%description
MeshBuilder is a tool for viewing and marking meshes, especially for use
with DOLFIN.

%package -n %oname-example-data
Summary: Example data for %oname
Group: Graphics
BuildArch: noarch

%description -n %oname-example-data
Sample data for MeshBuilder, a tool for viewing and marking meshes,
especially for use with DOLFIN.

%prep
%setup
sed -i 's|@PETSC_DIR@|%ldir|g' %oname.pro
sed -i 's|@SCALAR_TYPE@|%scalar_type|g' %oname.pro

%build
mpi-selector --set %mpiimpl
source %_bindir/petsc-%scalar_type.sh
qmake-qt4 QMAKE_CFLAGS_RELEASE="%optflags" \
	QMAKE_CXXFLAGS_RELEASE="%optflags" %oname.pro
%make all

%install
install -d %buildroot%_bindir
install -m755 %oname %buildroot%_bindir/%name

%if "%scalar_type" == "real"
install -d %buildroot%_datadir/%oname
cp -fR sample_data %buildroot%_datadir/%oname/
%endif

%files
%doc COPYING README TODO
%_bindir/*

%if "%scalar_type" == "real"
%files -n %oname-example-data
%dir %_datadir/%oname
%_datadir/%oname/sample_data
%endif

%changelog
* Fri Apr 15 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2.0-alt1.bzr20110313
- New snapshot

* Wed Apr 13 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2.0-alt1.bzr20100825.3
- Built with GotoBLAS2 instead of ATLAS

* Thu Mar 10 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2.0-alt1.bzr20100825.2
- Rebuilt for debuginfo

* Fri Dec 03 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2.0-alt1.bzr20100825.1
- Rebuilt with dolfin 0.9.9-alt1.bzr20101201

* Fri Nov 26 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2.0-alt1.bzr20100825
- New snapshot

* Tue Oct 19 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2.0-alt1.bzr20100423.3
- Rebuilt with CGAL 3.7

* Mon Aug 09 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2.0-alt1.bzr20100423.2
- Rebuilt with PETSc 3.1

* Wed Jul 07 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2.0-alt1.bzr20100423.1
- Rebuilt with reformed ParMetis

* Thu Jun 17 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2.0-alt1.bzr20100423
- New snapshot

* Tue Jun 15 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2.0-alt1.bzr20091020.1
- Rebuilt with CGAL 3.6

* Wed Dec 09 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2.0-alt1.bzr20091020
- Initial build for Sisyphus

